Package com.emc.documentum.rest.http.parameter

# Class CollectionParam

java.lang.Object
com.emc.documentum.rest.http.parameter.CollectionParam

public class CollectionParam extends Object
A typed parameter group for the common collection parameters used on the controller. It contains below parameters:

- sort
- page
- items-per-page
- include-total
- filter
- inline
- links
- thumbnail

Below example shows how to use this parameter in controllers.

         @ResponseBody
         public ResponseEntity<GroupObject>  getGroups(
         @PathVariable("repositoryName") final String repositoryName,
         @TypedParam final CollectionParam collectionParam,
         @RequestUri final UriInfo uriInfo)  {
         }

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionParam()`
  Default constructor
  `CollectionParam(PagingParam pagingParam, SortSpec sortSpec, AttributeView attributeView, String filter, boolean inline)`
  Constructor
  `CollectionParam(PagingParam pagingParam, SortSpec sortSpec, AttributeView attributeView, String filter, String q, boolean inline)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeView`
  `getAttributeView()`
  Get attribute view
  `String`
  `getFilter()`
  Get filter
  `String`
  `getFilterQualification()`
  Get filter qualification
  `PagingParam`
  `getPagingParam()`
  Get paging parameter
  `String`
  `getQ()`
  Get query parameter
  `SortSpec`
  `getSortSpec()`
  Get sort parameter
  `boolean`
  `isInline()`
  Check if it is inline
  `boolean`
  `isLinks()`
  Check if it is links
  `boolean`
  `isThumbnail()`
  Check if it thumbnail
  `void`
  `setAttributeView(AttributeView attributeView)`
  Set attribute view
  `void`
  `setFilter(String filter)`
  Set filter
  `void`
  `setInline(boolean inline)`
  Set inline attribute
  `void`
  `setLinks(boolean links)`
  Set links
  `void`
  `setPagingParam(PagingParam pagingParam)`
  Set paging parameter
  `void`
  `setQ(String q)`
  Set query parameter
  `void`
  `setSortSpec(SortSpec spec)`
  Set sort parameter
  `void`
  `setThumbnail(boolean thumbnail)`
  Set thumbnail parameter

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionParam

    public CollectionParam()
    Default constructor

  - ### CollectionParam

    public CollectionParam(PagingParam pagingParam, SortSpec sortSpec, AttributeView attributeView, String filter, boolean inline)
    Constructor
    Parameters:
      `pagingParam` - paging parameter
      `sortSpec` - sort parameter
      `attributeView` - attribute view parameter
      `filter` - filter parameter
      `inline` - inline parameter

  - ### CollectionParam

    public CollectionParam(PagingParam pagingParam, SortSpec sortSpec, AttributeView attributeView, String filter, String q, boolean inline)
    Constructor
    Parameters:
      `pagingParam` - paging parameter
      `sortSpec` - sort parameter
      `attributeView` - attribute view parameter
      `filter` - filter parameter
      `q` - query parameter
      `inline` - inline parameter

- ## Method Details

  - ### isInline

    public boolean isInline()
    Check if it is inline
    Returns:
      `true` if it is inline

  - ### setInline

    public void setInline(boolean inline)
    Set inline attribute
    Parameters:
      `inline` - the value to set

  - ### getFilterQualification

    public String getFilterQualification()
    Get filter qualification
    Returns:
      filter qualification

  - ### setFilter

    public void setFilter(String filter)
    Set filter
    Parameters:
      `filter` - the filter to set

  - ### getFilter

    public String getFilter()
    Get filter
    Returns:
      filter parameter

  - ### getQ

    public String getQ()
    Get query parameter
    Returns:
      query parameter

  - ### setQ

    public void setQ(String q)
    Set query parameter
    Parameters:
      `q` - query parameter to set

  - ### getPagingParam

    public PagingParam getPagingParam()
    Get paging parameter
    Returns:
      paging parameter

  - ### setPagingParam

    public void setPagingParam(PagingParam pagingParam)
    Set paging parameter
    Parameters:
      `pagingParam` - page info

  - ### setSortSpec

    public void setSortSpec(SortSpec spec)
    Set sort parameter
    Parameters:
      `spec` - sort parameter to set

  - ### getSortSpec

    public SortSpec getSortSpec()
    Get sort parameter
    Returns:
      sort parameter

  - ### setAttributeView

    public void setAttributeView(AttributeView attributeView)
    Set attribute view
    Parameters:
      `attributeView` - attribute view to set

  - ### getAttributeView

    public AttributeView getAttributeView()
    Get attribute view
    Returns:
      attribute view

  - ### isLinks

    public boolean isLinks()
    Check if it is links
    Returns:
      `true` if it is links

  - ### setLinks

    public void setLinks(boolean links)
    Set links
    Parameters:
      `links` - links to set

  - ### isThumbnail

    public boolean isThumbnail()
    Check if it thumbnail
    Returns:
      `true` if it is thumbnail

  - ### setThumbnail

    public void setThumbnail(boolean thumbnail)
    Set thumbnail parameter
    Parameters:
      `thumbnail` - thumbnail to set